## org.opengis.sld
Interface Halo

    @XmlElement(value="Halo")
    public interface Halo

Describes the settings of a "halo" effect as it is applied to text.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Fill` `getFill()` Returns the object that indicates how the halo area around the text should be filled.
`Expression` `getRadius()` Returns the expression that will be evaluated to get the pixel radius of the halo around the text.
`void` `setFill(Fill f)` Sets the object that indicates how the halo area around the text should be filled.
`void` `setRadius(Expression expression)` Sets the expression that will be evaluates to get the pixel radius of the halo around the text.

Method Detail

### getFill

    @XmlElement(value="Fill")
    Fill getFill()

  Returns the object that indicates how the halo area around the text should be filled.

### setFill

    @XmlElement(value="Fill")
    void setFill(Fill f)

  Sets the object that indicates how the halo area around the text should be filled. See `getFill()` for details.

### getRadius

    @XmlElement(value="Radius")
    Expression getRadius()

  Returns the expression that will be evaluated to get the pixel radius of the halo around the text.

### setRadius

    @XmlElement(value="Radius")
    void setRadius(Expression expression)

  Sets the expression that will be evaluates to get the pixel radius of the halo around the text. See `getRadius()` for details.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.